{ pkgs, ... }: {
  # List packages installed in system profile. To search, run:
  # $ nix search wget
  environment.systemPackages = with pkgs; [
    wget
    curl
    git
    (nnn.override { withNerdIcons = true; })
    fzf
    ripgrep
    fastfetch
    zip
    xz
    unzip
    jq
    yq-go
    eza
    dnsutils
    nmap
    which
    tree
    gnupg
    nix-output-monitor
    glow
    btop
    strace
    ltrace
    lsof
    sysstat
    lm_sensors
    ethtool
    pciutils
    usbutils
    nil
    lazygit
    lazydocker
    bat
    nixfmt

    # python stuff 🐍
    uv
    python313
    python312
    python311

    # javascript stuff 🤮
    nodejs
    corepack

    # catppuccin
    (catppuccin-kde.override {
      flavour = [ "mocha" "macchiato" "frappe" "latte" ];
      accents = [ "blue" ];
      winDecStyles = [ "classic" ];
    })
  ];

  fonts.packages = with pkgs;
    [ (nerdfonts.override { fonts = [ "FiraCode" ]; }) ];

  # install docker
  virtualisation.docker = { enable = true; };

  # remove nano
  programs.nano.enable = false;
}
